## Outward SideLoader

The Outward SideLoader is an API and a mod development toolkit for creating and editing custom content.

Please view the **[SideLoader Docs](https://sinai-dev.github.io/OSLDocs/#/)** for full documentation on SideLoader.

### Latest changes

#### 3.4.3

* Fixed some issues with loading Audio files, they should now work properly again.
* Added a resize arrow cursor to the SL Menu.

#### 3.4.2

* Added `SL_SummonedEquipment` class to support `SummonedEquipment` ItemExtensions. Just a dummy class, has no fields yet.

#### 3.4.1

* Final fix for the Status Effect issue, fixed Needs statuses not working from the previous fixes.

### Basic overview
The main features of SideLoader are:

* Helpers for loading custom asset files, either in AssetBundles or directly from .png and .wav files, etc
* Expansive API for editing and creating custom content including Items, Characters, Statuses, etc
* C#-specific API for additional tools and helpers such as Custom Keybindings, etc

### Installation (manual)

For a manual installation, do the following

1. Create the folder(s): `Outward\BepInEx\plugins\SideLoader\`.
2. Extract the archive into a folder. **Do not extract into the Outward game folder.**
3. Move the contents of the `plugins\` folder from the archive into the `BepInEx\plugins\SideLoader` folder you created.
3. It should look like `Outward\BepInEx\plugins\SideLoader\SideLoader.dll`, etc
4. Launch the game, you should see a new keybinding in your in-game keybindings for the SideLoader menu.